---
version: '3'

# This networks section required for the pacakge to be visible to Traefik. 
# DO NOT Remove
networks:
  traefik_network:
    external:
      name: homelabos_traefik

services:
  tautulli:
    image: linuxserver/tautulli 
    restart: unless-stopped
    networks:
      - traefik_network
    volumes:
      - "{{ volumes_root }}/tautulli/config:/config"
      - "{{ volumes_root }}/plex/Library/Application Support/Plex Media Server/Logs:/logs:ro"
    environment:
      - PGID={{ gid_output.stdout }}
      - PUID={{ uid_output.stdout }}
      - TZ={{ common_timezone }}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=homelabos_traefik"
      - "traefik.http.services.tautulli.loadbalancer.server.scheme=http"
      - "traefik.http.services.tautulli.loadbalancer.server.port=8181"
      - "traefik.http.routers.tautulli-http.rule=Host(`tautulli.{{ domain }}`)"
      - "traefik.http.routers.tautulli-http.entrypoints=http"
      - "traefik.http.routers.tautulli-http.middlewares={% if tautulli.https_only %}redirect@file, {% else %}{% if tautulli.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}{% endif %}customFrameHomelab@file"
      - "traefik.http.routers.tautulli.rule=Host(`tautulli.{{ domain }}`)"
      - "traefik.http.routers.tautulli.entrypoints=https"
      - "traefik.http.routers.tautulli.middlewares={% if tautulli.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab@file"
      - "traefik.http.routers.tautulli.tls=true"
{% if traefik.dns_challenge_provider %}
      - "traefik.http.routers.tautulli.tls.certresolver=dns"
      - "traefik.http.routers.tautulli.tls.domains[0].main={{ domain }}"
      - "traefik.http.routers.tautulli.tls.domains[0].sans=*.{{ domain }}"
{% else %}
      - "traefik.http.routers.tautulli.tls.certresolver=http"
{% endif %}
{% if enable_tor %}
      - "traefik.http.routers.tautulli-tor-http.rule=Host(`tautulli.{{ tor_domain }}`)"
      - "traefik.http.routers.tautulli-tor-http.entrypoints=http"
      - "traefik.http.routers.tautulli-tor-http.middlewares={% if tautulli.auth %}{% if enable_authelia %}authelia-tor@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab-tor@file"
{% endif %}
